Last Comment Bug 747220 - [layout view] update the UI
: [layout view] update the UI
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Firefox 15
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 763865 766526
Blocks: 747218
  Show dependency treegraph
 
Reported: 2012-04-19 15:50 PDT by Paul Rouget [:paul]
Modified: 2012-06-20 05:19 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot - layoutview closed (56.30 KB, image/png)
2012-05-09 08:34 PDT, Paul Rouget [:paul]
shorlander: ui‑review-
Details
screenshot - layoutview open (108.13 KB, image/png)
2012-05-09 08:34 PDT, Paul Rouget [:paul]
shorlander: ui‑review-
Details
screenshot - layoutview open - no node selected (103.18 KB, image/png)
2012-05-14 04:08 PDT, Paul Rouget [:paul]
shorlander: ui‑review-
Details
screenshot - layoutview closed - no node selected (73.56 KB, image/png)
2012-05-14 04:08 PDT, Paul Rouget [:paul]
shorlander: ui‑review-
Details
Layout View Mockup (2.33 MB, image/png)
2012-05-25 14:13 PDT, Stephen Horlander [:shorlander]
no flags Details
Expand/Collapse Image (447 bytes, image/png)
2012-05-25 14:14 PDT, Stephen Horlander [:shorlander]
no flags Details
patch v0.999 (31.61 KB, patch)
2012-05-27 10:09 PDT, Paul Rouget [:paul]
no flags Details | Diff | Review
patch v0.999 (32.52 KB, patch)
2012-05-28 04:20 PDT, Paul Rouget [:paul]
no flags Details | Diff | Review
patch v1 (32.52 KB, patch)
2012-05-28 04:27 PDT, Paul Rouget [:paul]
dcamp: review+
Details | Diff | Review

Description Paul Rouget [:paul] 2012-04-19 15:50:19 PDT
The layout view needs proper icons and a ui-review.
Comment 1 Paul Rouget [:paul] 2012-05-09 08:34:02 PDT
Created attachment 622377 [details]
screenshot - layoutview closed
Comment 2 Paul Rouget [:paul] 2012-05-09 08:34:33 PDT
Created attachment 622378 [details]
screenshot - layoutview open
Comment 3 Paul Rouget [:paul] 2012-05-09 08:37:24 PDT
The current icons are just placeholders. We need 2 appropriate icons.
Comment 4 Paul Rouget [:paul] 2012-05-14 04:08:06 PDT
Created attachment 623628 [details]
screenshot - layoutview open - no node selected
Comment 5 Paul Rouget [:paul] 2012-05-14 04:08:46 PDT
Created attachment 623629 [details]
screenshot - layoutview closed - no node selected
Comment 6 Dave Camp (:dcamp) 2012-05-24 14:01:56 PDT
Shorlander, is this bug on your radar?
Comment 7 Stephen Horlander [:shorlander] 2012-05-24 14:13:32 PDT
(In reply to Dave Camp (:dcamp) from comment #6)
> Shorlander, is this bug on your radar?

Yes! I am working on it today and going to talk to Paul tomorrow.
Comment 8 Stephen Horlander [:shorlander] 2012-05-25 14:13:18 PDT
Created attachment 627356 [details]
Layout View Mockup

Looks good!

Thoughts:
- With no node selected keep the diagram boxes and borders, just remove the information
- The dimensions seems self-explanatory so probably don't need the "Element Size:" text
- Change the collapsed view be textured like other toolbar and remove the grid.
Comment 9 Stephen Horlander [:shorlander] 2012-05-25 14:14:23 PDT
Created attachment 627357 [details]
Expand/Collapse Image
Comment 10 Paul Rouget [:paul] 2012-05-27 10:09:42 PDT
Created attachment 627569 [details] [diff] [review]
patch v0.999
Comment 11 Paul Rouget [:paul] 2012-05-28 04:20:58 PDT
Created attachment 627660 [details] [diff] [review]
patch v0.999
Comment 12 Paul Rouget [:paul] 2012-05-28 04:27:17 PDT
Created attachment 627662 [details] [diff] [review]
patch v1
Comment 13 Paul Rouget [:paul] 2012-05-28 04:29:36 PDT
Comment on attachment 627662 [details] [diff] [review]
patch v1

Some tweaks to match Shorlander's mockups.
Comment 15 Tim Taubert [:ttaubert] 2012-05-31 01:58:07 PDT
https://hg.mozilla.org/mozilla-central/rev/bdc9a8045490
Comment 16 Paul Silaghi, QA [:pauly] 2012-06-20 04:28:42 PDT
(In reply to Stephen Horlander from comment #8)
> Created attachment 627356 [details]
> Layout View Mockup
> 
> Looks good!
> 
> Thoughts:
> - With no node selected keep the diagram boxes and borders, just remove the
> information

Select a node, then press CTRL+SHIFT+I and move the mouse --> the upper left layout coordinates for the previously selected node are still displayed. Is this expected ?
Comment 17 Paul Rouget [:paul] 2012-06-20 04:58:25 PDT
(In reply to Paul Silaghi [QA] from comment #16)
> (In reply to Stephen Horlander from comment #8)
> > Created attachment 627356 [details]
> > Layout View Mockup
> > 
> > Looks good!
> > 
> > Thoughts:
> > - With no node selected keep the diagram boxes and borders, just remove the
> > information
> 
> Select a node, then press CTRL+SHIFT+I and move the mouse --> the upper left
> layout coordinates for the previously selected node are still displayed. Is
> this expected ?

It is. But not sure it's the right way to do it.
If you think it's confusing, please file a bug.
Comment 18 Paul Silaghi, QA [:pauly] 2012-06-20 05:19:46 PDT
Thanks Paul.
I'm just saying it would look normal to me if all other information are removed when no node is selected, the same should be these top two coordinates.
Bug 766526 filed.

Note You need to log in before you can comment on or make changes to this bug.